org.jboss.jca.common.api.metadata.resourceadapter

## Interface ConnectionDefinition

- All Superinterfaces:
    JCAMetadata, java.io.Serializable

      public interface ConnectionDefinition
      extends JCAMetadata

  A ConnectionDefinition.
  Author:
    Stefano Maestri

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ConnectionDefinition.Attribute` An attribute
    `static class` | `ConnectionDefinition.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()` Get the className.
    `java.util.Map<java.lang.String,java.lang.String>` | `getConfigProperties()` Get the configProperties.
    `java.lang.String` | `getJndiName()` Get the jndiName.
    `java.lang.String` | `getMcp()` Get mcp
    `Pool` | `getPool()` Get the pool.
    `java.lang.String` | `getPoolName()` Get the poolName.
    `Recovery` | `getRecovery()` Get the recovery settings.
    `Security` | `getSecurity()` Get the security.
    `TimeOut` | `getTimeOut()` Get the timeOut.
    `Validation` | `getValidation()` Get the validation.
    `java.lang.Boolean` | `isConnectable()` Get the connectable flag
    `java.lang.Boolean` | `isEnabled()` Get the enabled.
    `java.lang.Boolean` | `isEnlistment()` Get the enlistment
    `java.lang.Boolean` | `isEnlistmentTrace()` Get the enlistment trace
    `java.lang.Boolean` | `isSharable()` Get the sharable
    `java.lang.Boolean` | `isTracking()` Get the tracking flag
    `java.lang.Boolean` | `isUseCcm()` Get the useCcm.
    `java.lang.Boolean` | `isUseJavaContext()` Get the useJavaContext.
    `java.lang.Boolean` | `isXa()` Return true if this connectionDefnition have defined an XaPool

- - ### Method Detail

    - #### getConfigProperties

          java.util.Map<java.lang.String,java.lang.String> getConfigProperties()

      Get the configProperties.
      Returns:
        the configProperties.

    - #### getClassName

          java.lang.String getClassName()

      Get the className.
      Returns:
        the className.

    - #### getJndiName

          java.lang.String getJndiName()

      Get the jndiName.
      Returns:
        the jndiName.

    - #### getPoolName

          java.lang.String getPoolName()

      Get the poolName.
      Returns:
        the poolName.

    - #### isEnabled

          java.lang.Boolean isEnabled()

      Get the enabled.
      Returns:
        the enabled.

    - #### isUseJavaContext

          java.lang.Boolean isUseJavaContext()

      Get the useJavaContext.
      Returns:
        the useJavaContext.

    - #### isUseCcm

          java.lang.Boolean isUseCcm()

      Get the useCcm.
      Returns:
        the useCcm.

    - #### getPool

          Pool getPool()

      Get the pool.
      Returns:
        the pool.

    - #### getTimeOut

          TimeOut getTimeOut()

      Get the timeOut.
      Returns:
        the timeOut.

    - #### getValidation

          Validation getValidation()

      Get the validation.
      Returns:
        the validation.

    - #### getSecurity

          Security getSecurity()

      Get the security.
      Returns:
        the security.

    - #### isXa

          java.lang.Boolean isXa()

      Return true if this connectionDefnition have defined an XaPool
      Returns:
        true if this connectionDefnition have defined an XaPool

    - #### getRecovery

          Recovery getRecovery()

      Get the recovery settings.
      Returns:
        the recovery settings.

    - #### isSharable

          java.lang.Boolean isSharable()

      Get the sharable
      Returns:
        the value

    - #### isEnlistment

          java.lang.Boolean isEnlistment()

      Get the enlistment
      Returns:
        the value

    - #### isConnectable

          java.lang.Boolean isConnectable()

      Get the connectable flag
      Returns:
        True, if connectable should be supported

    - #### isTracking

          java.lang.Boolean isTracking()

      Get the tracking flag
      Returns:
        `null` is container default, a value is an override

    - #### getMcp

          java.lang.String getMcp()

      Get mcp
      Returns:
        The value

    - #### isEnlistmentTrace

          java.lang.Boolean isEnlistmentTrace()

      Get the enlistment trace
      Returns:
        the enlistment trace

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)